Labelcamp API v2
​integer · min: 1​integer · min: 1 · max: 200​string
​string · required
Release configurations including release dates, pricing, territories, and platform selections. Each product can have multiple offers for different markets or release windows.
List offers
GET
https://api.idol.io/api/v2
/offers
Retrieve release configurations
query Parameters
page[number]Page number for pagination
Default: 1
page[size]Number of items per page (max 200)
Default: 20
filter[product-id]List offers › Responses
Successful response
​object[]
Array of resource objects (override with specific resource schema)
​object[]
Related resources included in the response
​object
​object
Create an offer
POST
https://api.idol.io/api/v2
/offers
Create a new release configuration.
Important notes:
- Leave the
dsp-upload-identificationsrelationship empty if you want to create a default offer on a product - The
track-price-codeattribute is a DistributorPriceCode object with ais-track-priceattribute set to true - Find more details on how to provide the
optionsattribute in the DSP Upload Identifications section
Create an offer › Responses
Offer created successfully
​object
​object[]
Related resources included in the response
​object
Update an offer
PATCH
https://api.idol.io/api/v2
/offers/{id}
Update an existing release configuration.
Important notes:
- Leave the
dsp-upload-identificationsrelationship empty if you want to create a default offer on a product - The
track-price-codeattribute is a DistributorPriceCode object with ais-track-priceattribute set to true - Find more details on how to provide the
optionsattribute in the DSP Upload Identifications section
path Parameters
idResource ID
Update an offer › Responses
Offer updated successfully
​object
​object[]
Related resources included in the response
​object